Debian Bug report logs - #720499
spamassassin: FTBFS with perl 5.18: POD failure

version graph

Package: src:spamassassin; Maintainer for src:spamassassin is Noah Meyerhans <noahm@debian.org>;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Thu, 22 Aug 2013 16:39:01 UTC

Severity: serious

Tags: jessie, patch, sid

Found in version spamassassin/3.3.2-6

Fixed in versions spamassassin/3.3.2-6.1, spamassassin/3.3.2-7

Done: <noahm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Noah Meyerhans <noahm@debian.org>:
Bug#720499; Package src:spamassassin. (Thu, 22 Aug 2013 16:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Noah Meyerhans <noahm@debian.org>. (Thu, 22 Aug 2013 16:39:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: spamassassin: FTBFS with perl 5.18: POD failure
Date: Thu, 22 Aug 2013 17:35:19 +0100
Source: spamassassin
Version: 3.3.2-6
Severity: serious
Justification: transition imminent
User: debian-perl@lists.debian.org
Usertags: perl-5.18-transition
Tags: sid jessie

This package FTBFS with perl 5.18:

dpkg-buildpackage: error: debian/rules build gave error exit status 2
d2man sa-check_spamd.raw sa-check_spamd.1p
sa-check_spamd.raw around line 431: Expected text after =item, not a number
sa-check_spamd.raw around line 436: Expected text after =item, not a number
sa-check_spamd.raw around line 441: Expected text after =item, not a number
POD document had syntax errors at /usr/bin/pod2man line 71.
make: *** [build-indep-stamp] Error 255

Please ask debian-perl@lists.debian.org if you need help with preparing
or testing a change; if you have a suitable test i386 system you can
install perl 5.18 by adding experimental to your sources as well as the
repository at <http://people.debian.org/~dom/perl/test/perl-5.18.0/>

You can also find more about the perl 5.18 transition, which we hope
to start this week[1], at <http://bugs.debian.org/712615>.

Thanks for your work!

Cheers,
Dominic.

[1] apologies for the late appearance of this bug report; earlier
test coverage did not cover this package



Information forwarded to debian-bugs-dist@lists.debian.org, Noah Meyerhans <noahm@debian.org>:
Bug#720499; Package src:spamassassin. (Fri, 23 Aug 2013 12:39:10 GMT) Full text and rfc822 format available.

Message #8 received at 720499@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 720499@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#720499: spamassassin: FTBFS with perl 5.18: POD failure
Date: Fri, 23 Aug 2013 15:24:57 +0300
[Message part 1 (text/plain, inline)]
Control: tags -1 patch

-=| Dominic Hargreaves, 22.08.2013 17:35:19 +0100 |=-
> Source: spamassassin
> Version: 3.3.2-6
> Severity: serious
> Justification: transition imminent
> User: debian-perl@lists.debian.org
> Usertags: perl-5.18-transition
> Tags: sid jessie
> 
> This package FTBFS with perl 5.18:
> 
> dpkg-buildpackage: error: debian/rules build gave error exit status 2
> d2man sa-check_spamd.raw sa-check_spamd.1p
> sa-check_spamd.raw around line 431: Expected text after =item, not a number
> sa-check_spamd.raw around line 436: Expected text after =item, not a number
> sa-check_spamd.raw around line 441: Expected text after =item, not a number
> POD document had syntax errors at /usr/bin/pod2man line 71.
> make: *** [build-indep-stamp] Error 255

Please find attached a patch that fixes the issue. It needs to be 
added to the quilt series.

Cheers,
    dam
[97_bug720499-pod-5.18 (text/plain, attachment)]

Added tag(s) patch. Request was from Damyan Ivanov <dmn@debian.org> to 720499-submit@bugs.debian.org. (Fri, 23 Aug 2013 12:39:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Noah Meyerhans <noahm@debian.org>:
Bug#720499; Package src:spamassassin. (Fri, 30 Aug 2013 15:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Noah Meyerhans <noahm@debian.org>. (Fri, 30 Aug 2013 15:54:05 GMT) Full text and rfc822 format available.

Message #15 received at 720499@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 720499@bugs.debian.org
Subject: spamassassin: diff for NMU version 3.3.2-6.1
Date: Fri, 30 Aug 2013 17:50:52 +0200
[Message part 1 (text/plain, inline)]
tags 720499 + pending
thanks

Dear maintainer,

I've prepared an NMU for spamassassin (versioned as 3.3.2-6.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Bon Jovi: Love Hurts
[spamassassin-3.3.2-6.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 30 Aug 2013 15:54:07 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sun, 01 Sep 2013 16:21:06 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Sun, 01 Sep 2013 16:21:06 GMT) Full text and rfc822 format available.

Message #22 received at 720499-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 720499-close@bugs.debian.org
Subject: Bug#720499: fixed in spamassassin 3.3.2-6.1
Date: Sun, 01 Sep 2013 16:19:32 +0000
Source: spamassassin
Source-Version: 3.3.2-6.1

We believe that the bug you reported is fixed in the latest version of
spamassassin, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 720499@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated spamassassin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 30 Aug 2013 17:48:37 +0200
Source: spamassassin
Binary: spamassassin spamc
Architecture: source all amd64
Version: 3.3.2-6.1
Distribution: unstable
Urgency: low
Maintainer: Noah Meyerhans <noahm@debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 spamassassin - Perl-based spam filter using text analysis
 spamc      - Client for SpamAssassin spam filtering daemon
Closes: 720499
Changes: 
 spamassassin (3.3.2-6.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "FTBFS with perl 5.18: POD failure":
     add patch 97_bug720499-pod-5.18 from Damyan Ivanov: fix POD errors with
     perl 5.18
     (Closes: #720499)
Checksums-Sha1: 
 92057fbe8e96fc919f381b918083bbbf6226bfad 2119 spamassassin_3.3.2-6.1.dsc
 0531ef6fdacf002943b9a3f33c4d424fd8f14ca2 43337 spamassassin_3.3.2-6.1.debian.tar.gz
 70c5a6b2692d46d699243c77eab4e8b1e8e9b2e7 1061582 spamassassin_3.3.2-6.1_all.deb
 c0cd4053aee9c7d6e1fbaa8d35b12bad7cfe9169 72780 spamc_3.3.2-6.1_amd64.deb
Checksums-Sha256: 
 0e3a22426baf839a5f489f9c6b3584e44912bd0e3d9a056ccc5193b7039b68d8 2119 spamassassin_3.3.2-6.1.dsc
 ef910396dc666b992b6ce2b77cd0f4ce32b7fe45b16794aa874541894db1f0dc 43337 spamassassin_3.3.2-6.1.debian.tar.gz
 bc3511c9730fd661bd4eda0e8a986b3180d0b0e9b4a9a6984d2567b3f3b5d674 1061582 spamassassin_3.3.2-6.1_all.deb
 e8ddd5220a8e7695208aa951df3e5b493d8dae169aba6cf9716097f33bb09470 72780 spamc_3.3.2-6.1_amd64.deb
Files: 
 3560ffbe997f227563dfff740737c02c 2119 mail optional spamassassin_3.3.2-6.1.dsc
 6fa4304b808274298d564a81eb67eb4e 43337 mail optional spamassassin_3.3.2-6.1.debian.tar.gz
 da70e4fd02cbb6f2536636fef5b879ef 1061582 mail optional spamassassin_3.3.2-6.1_all.deb
 84b0f04f54ec3287a8776a83aa5081f7 72780 mail optional spamc_3.3.2-6.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSIL8DAAoJELs6aAGGSaoGIBQQAIszBO1X26wOypv8JEFemW1c
Ax/RfV/Eqoeul2TX6LLhTS3b7gP8RWzzVe9g13X+P2khQR6U12OHLoA82UWKh23d
+mNqZGt4iQwh1QiNiuG5HcZiXbL6jIfHciDVMuVBNvtQBBm8fWEAQluRRwRzUWYQ
StD19MN7C6T0+SCubSXKxJdEWLo2lYdxvAqf9CPKoamXTdZXhQdZOPeiOApT5c0I
ACPH9ffXmRABvukwpOuMfuvQ2QTosZ/LSuB/Ijm/IGBxOlZcMOU6hRvH4Gct3hlD
DPiJoMaPNJ8C+UvRenhsa5mkYHVkYc8NdMdt4VeN8atZwmTX0REQ0TJ3E6LoiuU1
xXso9hJp++UkYhLLP9iI5DCFqWhVrhaynNnylY9Zv+rzdmf6FBSpP0cv5por+7pC
ZVF/PRxCrSgusmyqGF1ynpXezeHADtB25nVBjc2V5MPfNtGRF2jxyv4+6FiRL0XK
SEm3BEFLE4YdE+SRXZw9unr46RQqpADLOxWtzHguN4FFn1FYz6g+GgGLc2U5r4f7
UhIGSVY4uRZ5BBAYPd/+LlrerGu5l1V0KdtIP9FkS7VHAVdfELvNvTLet+KOg0da
Vm9DpJfWhYN26vxozs1qUUGsQWpBvql5uNFQ/8URus7DDJC4RwkFzzzbA1ZYNjKd
wh8DVL/svZ/RRn0s14vh
=xHPj
-----END PGP SIGNATURE-----




Reply sent to <noahm@debian.org>:
You have taken responsibility. (Sun, 22 Sep 2013 22:06:12 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Sun, 22 Sep 2013 22:06:12 GMT) Full text and rfc822 format available.

Message #27 received at 720499-close@bugs.debian.org (full text, mbox):

From: <noahm@debian.org>
To: 720499-close@bugs.debian.org
Subject: Bug#720499: fixed in spamassassin 3.3.2-7
Date: Sun, 22 Sep 2013 22:03:42 +0000
Source: spamassassin
Source-Version: 3.3.2-7

We believe that the bug you reported is fixed in the latest version of
spamassassin, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 720499@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
noahm@debian.org (supplier of updated spamassassin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 22 Sep 2013 14:44:37 -0700
Source: spamassassin
Binary: spamassassin spamc
Architecture: source all amd64
Version: 3.3.2-7
Distribution: unstable
Urgency: low
Maintainer: Noah Meyerhans <noahm@debian.org>
Changed-By: noahm@debian.org
Description: 
 spamassassin - Perl-based spam filter using text analysis
 spamc      - Client for SpamAssassin spam filtering daemon
Closes: 710881 720499 721565
Changes: 
 spamassassin (3.3.2-7) unstable; urgency=low
 .
   * Incorporate upstream's fix for syntax warnings when running
     under perl 5.18 (Closes: #721565)
   * Bump standards version to 3.9.4 (no changes)
   * Incorporate Ubuntu's dep-8 autopkgtests. (Closes: 710881)
 .
 spamassassin (3.3.2-6.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "FTBFS with perl 5.18: POD failure":
     add patch 97_bug720499-pod-5.18 from Damyan Ivanov: fix POD errors with
     perl 5.18
     (Closes: #720499)
Checksums-Sha1: 
 c149802c3917c924da5e7e37e4f405b3dc67d8f2 1486 spamassassin_3.3.2-7.dsc
 68abd39d1a877cc2b30164e1c62f5c528eca8766 45814 spamassassin_3.3.2-7.debian.tar.gz
 aa245bfddf0774751752ce59bc6fd2c2c9182398 1060928 spamassassin_3.3.2-7_all.deb
 8efb129c00f9f741f70af34400b24471a4748ac7 72972 spamc_3.3.2-7_amd64.deb
Checksums-Sha256: 
 edb55c67000f9fbe7dc817d3d5161c5f5d5db784ab3c5ff3ea53de5282de060a 1486 spamassassin_3.3.2-7.dsc
 ad33adf1468ed44a8ee1aea5a0304eeb30a82ecc45949eff9ab9c0d532012063 45814 spamassassin_3.3.2-7.debian.tar.gz
 fc5b341d2656604fd8b475eeb5998e1fbcd29d491ba28d6e75ce40938280e7dc 1060928 spamassassin_3.3.2-7_all.deb
 7610aed21ec2ac1a9efd77e13a9ca37f6989255e92f50a742438a25ee356fb7a 72972 spamc_3.3.2-7_amd64.deb
Files: 
 527ea16508ced96777bc85806a314b41 1486 mail optional spamassassin_3.3.2-7.dsc
 88dab4d8bc15e18a28ba412715a255bf 45814 mail optional spamassassin_3.3.2-7.debian.tar.gz
 3bf6c4e593a7028ccc1193c409c1abe9 1060928 mail optional spamassassin_3.3.2-7_all.deb
 ec010628204e575676a96fee664e1c15 72972 mail optional spamc_3.3.2-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFSP2XEYrVLjBFATsMRAlryAJ0Z9HJ8EURgwX8ko/Fjc1SdRzj1DgCfUt8b
JGkAdj3oAgIoWNyfz+XMfvg=
=p7Wz
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 31 Oct 2013 07:36:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:03:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.